> For the complete documentation index, see [llms.txt](https://docs.super-forms.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.super-forms.com/developers/code-examples/altering-cookie-secure-and-httponly-parameters.md).

# Altering cookie secure and httponly parameters

{% hint style="info" %}
**Note:** If needed you can change how the cookie is being stored, by default when is\_ssl() returns true, a secure cookie will be stored. The cookie HttpOnly parameter is always set to true unless you define otherwise
{% endhint %}

```php
function f4d_super_cookie_secure_filter($secure) {
    return true; // set to false to disable
}
add_filter( 'super_cookie_secure_filter', 'f4d_super_cookie_secure_filter' );

function f4d_super_cookie_httponly_filter($httponly) {
    return false; // set HttpOnly parameter for the cookie to false, by default this is set to true
}
add_filter( 'super_cookie_httponly_filter', 'f4d_super_cookie_httponly_filter' );

function f4d_super_client_data_delete_limit_filter($limit) {
    return 10; // Maximum items to delete per query when cleaning up old client data (by default this value is set to 10)
}
add_filter( 'super_client_data_delete_limit_filter', 'f4d_super_client_data_delete_limit_filter' );
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.super-forms.com/developers/code-examples/altering-cookie-secure-and-httponly-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
